Name:		pcb2gcode
Version:	1.3.2
Release:	1%{?dist}
Summary:	Command-line software for the isolation, routing and drilling of PCBs

Group:		Applications/Engineering
License:	GPLv3+
URL:		https://github.com/pcb2gcode/pcb2gcode/
Source0:	https://github.com/pcb2gcode/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.8
BuildRequires:	pkgconfig(gdkmm-2.4) >= 2.8
BuildRequires:	pkgconfig(libgerbv) >= 2.1.0

%description
pcb2gcode is a command-line software for the isolation, routing and drilling of
PCBs. It takes Gerber files as input and it outputs gcode files, suitable for
the milling of PCBs. It also includes an Autoleveller, useful for the automatic
dynamic calibration of the milling depth.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install


%files
%{_bindir}/pcb2gcode
%{_mandir}/man1/pcb2gcode.1*
%doc AUTHORS README.md
%license COPYING


%changelog
* Sun Dec  4 2016 Lubomir Rintel <lkundrak@v3.sk> - 1.3.2-1
- Initial packaging
